<div fxLayout="row" fxLayoutAlign="start center">
    {{ formattedDate }} -
    {{transaction.fromQty | number: '1.2-2'}} {{fromName}}
    <mat-icon>arrow_right_alt</mat-icon>
    {{transaction.toQty | number: '1.2-2'}} {{toName}}
    @ {{(changeExchangeRate ? transaction.toQty / transaction.fromQty : transaction.fromQty / transaction.toQty) | number: '1.2-2'}}
    <sup>{{changeExchangeRate ? toName : fromName}}</sup>/<sub>{{changeExchangeRate ? fromName : toName}}</sub>
    <button mat-icon-button (click)="onExchange()">
        <mat-icon>swap_horiz</mat-icon>
    </button>
    {{ transaction?.comment }}
    <div *ngIf="transaction.fee > 0">
        {{'TRANSACTION.FEE' | translate}}
        <div *ngIf="feeExchangeRate; else elseBlock">
            {{feeExchangeRate.rate * transaction.fee}} {{this.mainCurrency.name}}
        </div>
        <ng-template #elseBlock>
            {{transaction.fee}}
            <div *ngIf="this.mainCurrency?.id === transaction.feeCurrencyId; else elseBlock2">
                {{this.mainCurrency.name}}
            </div>
            <ng-template #elseBlock2>
                {{ 'ERROR.MISSING_CONVERSION' | translate}}
            </ng-template>
        </ng-template>
    </div>
</div>